- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nso_action – Executes Cisco NSO actions and verifies output

New in version 2.5.

- Synopsis
- Requirements
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- This module provides support for executing Cisco NSO actions and then verifying that the output is as expected.

## Requirements

The below requirements are needed on the host that executes this module.

- Cisco NSO version 3.4 or higher.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
input - |  | NSO action parameters.
output_invalid - |  | List of result parameter names that will cause the task to fail if they are present.
output_required - |  | Required output parameters.
password string / required |  | NSO password
path - / required |  | Path to NSO action.
timeout integer added in 2.6 | Default: 300 | JSON-RPC request timeout in seconds
url string / required |  | NSO JSON-RPC URL, http://localhost:8080/jsonrpc
username string / required |  | NSO username
validate_certs boolean | Choices: no ← yes | When set to true, validates the SSL certificate of NSO when using SSL
validate_strict boolean | Choices: no yes | If set to true, the task will fail if any output parameters not in output_required is present in the output.

## Examples

    - name: Sync NSO device
      nso_action:
        url: http://localhost:8080/jsonrpc
        username: username
        password: password
        path: /ncs:devices/device{ce0}/sync-from
        input: {}

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
output dictionary | success | Action output Sample: {'result': True}

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Claes Nästén (@cnasten)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.